
Smart Proxy - Feature #1458

HTTP/HTTPS/FTP Proxy-Support

01/19/2012 04:31 AM - David M.

Status: New   

Priority: Normal   

Assignee:    

Category: TFTP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As the Smart-Proxy may download certain files from the internet, support for http/https/ftp proxy servers would be great.

In my case, I always need a proxy if I want to do any http/https/ftp outside of our intranet.

But I dont need, and cannot use the proxy if the mirror is in my local network.

So it has to be configureable for each mirror seperately.

History

#1 - 01/24/2012 02:29 AM - Ohad Levy

I think that if you setup a http_proxy (or ftp_proxy, https_proxy) in the foreman user environment, it should work.

#2 - 01/24/2012 07:18 AM - David M.

It doesn't work for me, because I need proxy support for some servers only.

This means, intranet-webservers are not reachable with proxy and internet-webservers are not reachable without proxy. So in some cases I need the

http-proxy, in others I dont.

Also this is not very comfortable. I would at least expect a configuration on the webUI.

A proxy-config for each media-mirror would be great ;)

#3 - 09/17/2012 09:21 AM - Romain Vrignaud

I have the same problem here with Compute Resource API support.

I would like to be able to define HTTP proxy for EC2 resources.

#4 - 02/20/2015 05:15 AM - Andreas Pfaffeneder

That's a use case for Satellite, too. Customer has internal Repos which cannot be accessed via Proxy.

#5 - 03/15/2017 09:44 AM - Jason Nance

- Description updated

poke poke  As it has been 5 years since this RFE was filed can I request it be re-evaluated?

#6 - 03/15/2017 09:53 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category set to TFTP
